Subject: Export? Integration with XBMC and Boxee

From: Zoont <[email-masked]>
Date: Fri, 21 Oct 2011 18:38:03 -0700 (PDT)

My home computers are Macs, but my media center computer is a Boxee
Box. I love it greatly, but it has a few weaknesses. One of the most
annoying things which is not specific to Boxee is the lack of tools
for managing a media library for use with Boxee or other XBMC type
media players.

I've found some free tools that integrate web scrapers with meta data
generation and management, but frankly they all sort of suck... or are
Windows only... or both.

Usher looks like, from a user perspective, like an ideal tool for
managing video media on disk... however, it does not appear that there
is any way for it to export the metadata it scrapes, or that is
entered by the user, for use by a Boxee or XBMC media center. It
~should~ actually be pretty easy to add because the hard parts of
building a sweet GUI and a system for data collection and entry are
already in place. What is still needed is code that will dump the
metadata back to disk in appropriately formatted files. The files to
output are all either carefully named images (for thumbnails) or XML
text files. Since the metadata already exists, stuffing even just some
of the metadata into an XML text file should be fairly easy.

The developer could consider integration of Usher with XBMC systems as
a fringe interest, but I think that if the many people using XBMC, and/
or Boxee or any of the other XBMC based media centers, knew that Usher
could help them manage all of their local media, it would become an
important selling point. This is a toolset that people using these
media centers want, and cannot really find, even on Windows.

Z